# $Revision: 1.12.2.1 $, $Date: 2003/10/08 10:35:33 $
Summary:	PLD-About
Summary(pl):	PLD-About
Name:		pld-about
Version:	0.1.4
Release:	3
License:	GPL
Group:		X11/Applications
Vendor:		Mariusz 'Ma-rYu-sH' Witkowski <maryush@pld-linux.org>
Source0:	PLD-About-%{version}.tar.gz
# Source0-md5:	6502dc5042f36e928456d720956384f3
Source1:	%{name}.png
Patch0:		%{name}-po.patch
#Patch1:		%{name}-gettextize.patch
Patch2:		%{name}-domain.patch
URL:		http://www.pld-linux.org/
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel < 2.0
BuildRequires:	gtk+-devel < 2.0
Requires:	XFree86-fonts-75dpi-ISO8859-2
Requires:	fonts-Type1-ulT1mo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Little program similar to gnome-about. It displays a list of the PLD
developers and other people that support distribution development.
This package contains GNOME version.

%description -l pl
May programik podobny do gnome-about, zawierajcy list developerw i
osb wsppracujcych przy tworzeniu dystrybucji PLD. Wersja GNOME.

%prep
%setup -q -n PLD-About-%{version}
%patch0 -p1
#%%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
mv po/pld-about.po po/pl.po
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir},%{_datadir}/pld-about,%{_pixmapsdir}/pld-about}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install lista.dat $RPM_BUILD_ROOT%{_datadir}/pld-about
install pld-about.desktop $RPM_BUILD_ROOT%{_applnkdir}
install pld-about.png $RPM_BUILD_ROOT%{_pixmapsdir}
install src/pld_logo2.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/pld-about
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}/pld-about2.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/pld-about
%{_applnkdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pld-about.spec,v $
Revision 1.12.2.1  2003/10/08 10:35:33  ankry
- for RA
- fixed domain in sources, docs and po files

Revision 1.12  2003/08/27 22:31:24  maryush
- fixed my mail

Revision 1.11  2003/08/27 09:26:30  gotar
- s/pld.org.pl/pld-linux.org/g

Revision 1.10  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.9  2003/05/25 06:25:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/24 11:15:49  gotar
- added patch

Revision 1.7  2003/01/24 10:49:38  gotar
- moved %{__gettextize} to it's right place

Revision 1.6  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.5  2003/01/04 13:24:55  gotar
- fixed *.po building, BR: gettext-devel,
- fixed package building (ac/am/gettextize macros),
- added two missing directories to the package contents,
- added two more pixmaps,
- release 3, STBR.

Revision 1.4  2002/12/26 01:52:40  maryush
- it's realy 0.1.4 version, added some missing files in src pkg and spec
- patch is not needed, is include in src package
- don't regenerate .mo files, now it's not working, i don't know why :(
- release 2, dzimi STBR and put to RA general updates, some bug fixed and
  now full functionaly ;)

Revision 1.3  2002/11/18 01:59:25  ankry
- updated to 0.1.4; fixed translation, synced developper list with
  organizational/list, resized widgets (patch)
- building/installation of .po file fixed (but using nasty hack instead of
  ac/am)
- added applnk icon

Revision 1.2  2002/10/03 10:29:57  qboosh
- fixed URL and License fields, added en description
- removed COPYING symlink from doc
- release 2

Revision 1.1  2002/09/19 10:49:37  maryush
- initial public release
